# 1.3.0 (April 2023)

## Organizational Changes

- `lvreader` has been split into `lvpyio` and `lvpyio_wrapped`. Default is `lvpyio`. See the manual for details.

## Bug Fixes

- fixed: wrong results for large MRAW datasets

## Misc

- Python 3.11 support

# 1.2.0 (February 2022)

## New Features

- new functions `read_particles` and `read_particles` for reading and writing particle fields

## Bug Fixes

- fixed: differences from DaVis in how `as_masked_array` and `plot` handle scaling. DaVis, when displaying vector data or when exporting it, a) scales the vector component with the intensity, then b) multiplies it with the sign of the slope of the corresponding scale. Before, lvreader did a but not b. Now it does both. The fix is important for the y component, because the slope of the y scale is usually negative.

## Misc

- Python 3.10 support
- improved scaling documentation
- shorthand notation for scales (`lv.Scale(unit="mm")` instead of earlier `lv.scale.Scale(1.0, 0.0, "mm", "")`)
- additional examples (in particular, resizing DVC data and converting Strain results to HDF5)
- reduced wheel size on Linux

# 1.1.0 (June 2021)

## New Features

- writing sets with the new `write_set` function
- reading LZ4-compressed IM7/VC7 data introduced by DaVis 10.2
- reading compressed stream sets introduced by DaVis 10.2

## Bug Fixes

- fixed: differences from DaVis on some Phantom camera recordings
- fixed: service crashed on some Phantom camera recordings
- fixed: service randomly stopped when reading large (multiple GB) datasets
- fixed: conflicts with third-party libraries when used with Anaconda on Linux
- fixed: on Linux, lvreader didn't work with custom Python installations that depend on LD_LIBRARY_PATH

## Misc

- improved documentation
- reduced wheel size

# 1.0.0 (January 2021)

First public release. Reading and writing IM7/VC7 data. Reading sets.
